Get async job archive download status
GET
/v1/jobs/{jobId}/download
const url = 'https://api.segmentationapi.com/v1/jobs/example/download';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.segmentationapi.com/v1/jobs/example/download \ --header 'Authorization: Bearer <token>'Poll an archive request started with createJobDownload. When status is ready, downloadUrl is a short-lived presigned zip containing output_manifest.json and mask artifacts.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Responses
Section titled “Responses”Current job archive download status
Media typeapplication/json
object
Example
{ "status": "pending"}Authentication is missing, invalid, or expired
Media typeapplication/json
object
Examplegenerated
{ "error": "example", "message": "example", "remainingTokens": 1, "requestedTokens": 1, "expiresAt": "2026-04-15T12:00:00Z", "activeJobId": "example", "upgradeUrl": "https://example.com", "retryAfterSeconds": 1}The requested resource was not found
Media typeapplication/json
object
Examplegenerated
{ "error": "example", "message": "example", "remainingTokens": 1, "requestedTokens": 1, "expiresAt": "2026-04-15T12:00:00Z", "activeJobId": "example", "upgradeUrl": "https://example.com", "retryAfterSeconds": 1}Request conflicts with the current resource state
Media typeapplication/json
object
Examplegenerated
{ "error": "example", "message": "example", "remainingTokens": 1, "requestedTokens": 1, "expiresAt": "2026-04-15T12:00:00Z", "activeJobId": "example", "upgradeUrl": "https://example.com", "retryAfterSeconds": 1}Internal server error
Media typeapplication/json
object
Examplegenerated
{ "error": "example", "message": "example", "remainingTokens": 1, "requestedTokens": 1, "expiresAt": "2026-04-15T12:00:00Z", "activeJobId": "example", "upgradeUrl": "https://example.com", "retryAfterSeconds": 1}